Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfo.cdl
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfo.cdl	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfo.cdl	(revision 389)
@@ -2,47 +2,32 @@
  *   Copyright (C) 2008-2017 by TOPPERS Project
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -95,23 +80,22 @@
     signature sTypeInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1] = NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1] = NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getSize(void);    // size of the value in bytes
         int8_t     getKind(void);    // see Constants of Kinds
         uint32_t   getNType(void);
-           // kind == ARRAY ã®å ´åãµã¤ãºãPOINTER, TYPEDEF ã®å ´å1ãããä»¥å¤ã¯0
+           // kind == ARRAY の場合サイズ、POINTER, TYPEDEF の場合1、それ以外は0
         ER     getTypeInfo( [out]Descriptor(sTypeInfo) *desc );
-           // kind == POINTER, TYPEDEF ã®å ´åãdesc ã«æå¹ãªå¤ãè¿ã
+           // kind == POINTER, TYPEDEF の場合、desc に有効な値を返す
         uint32_t   getNMember(void);
-           // STRUCT ã®å ´åã¡ã³ãã¼æ°
+           // STRUCT の場合メンバー数
         ER     getMemberInfo( [in]uint32_t ith, [out]Descriptor(sVarDeclInfo) *desc );
-           // kind == STRUCT ã®å ´åãdesc ã«æå¹ãªå¤ãè¿ã
-           // ith ã¯ã¡ã³ãã¼ã®æ·»æ° 0<=ith<*num
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // kind == STRUCT の場合、desc に有効な値を返す
+           // ith はメンバーの添数 0<=ith<*num
+           // ith が範囲外の場合 E_NORES を返す
 //        void   getSignatureInfo( [out]Descriptor(sSignatureInfo) *desc );
-//           // kind == DESCRIPTOR ã®å ´åãdesc ã«æå¹ãªå¤ãè¿ã
+//           // kind == DESCRIPTOR の場合、desc に有効な値を返す
     };
 
@@ -119,16 +103,15 @@
     signature sVarDeclInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1] = NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1] = NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         void       getLocationInfo(  [out]uint32_t *offset,
                                      [out]int8_t   *place );            // VARDECL_PLACE_*
         void       getTypeInfo( [out]Descriptor( sTypeInfo ) *desc );
         void       getSizeIsExpr( [out,string(max_len)]char_t *expr_str, [in]int32_t max_len );
-          // size_is è¨ç®å¼ãæå­åã§è¿ã. size_is æªæå®ã®å ´å *expr_str = NULL ãè¿ããã
+          // size_is 計算式を文字列で返す. size_is 未指定の場合 *expr_str = NULL が返される
         ER         getSizeIs( [out]uint32_t *size, [in]const void *p_cb);
-          // p_cb ãä¸ããã¨ãsize ãè¿ã (size_is æå®ããªãå ´åï¼E_NOSPT ãè¿ã)
+          // p_cb を与えると、size を返す (size_is 指定がない場合，E_NOSPT を返す)
     };
 
@@ -136,9 +119,8 @@
     signature sParamInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1] = NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1] = NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         ER         getTypeInfo( [out]Descriptor(sTypeInfo) *desc);
         ER         getDir( [out]int8_t *dir );
@@ -148,14 +130,13 @@
     signature sFunctionInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1] = NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1] = NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         void       getReturnTypeInfo( [out]Descriptor( sTypeInfo ) *desc );
         uint32_t   getNParam(void);
         ER         getParamInfo( [in]uint32_t ith, [out]Descriptor(sParamInfo) *param );
            // 0 <= ith < *num
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
     };
 
@@ -163,13 +144,12 @@
     signature sSignatureInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1] = NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1] = NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getNFunction(void);
         ER         getFunctionInfo( [in]uint32_t ith, [out]Descriptor( sFunctionInfo ) *desc );
            // 0 <= ith < *num
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
     };
 
@@ -177,9 +157,8 @@
     signature sCallInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]= NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]= NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         void       getSignatureInfo( [out]Descriptor( sSignatureInfo ) *desc );
         uint32_t   getArraySize(void);
@@ -192,7 +171,7 @@
         void       getLocationInfo(  [out]uint32_t *offset,             // CALL_PLACE_*
                                      [out]int8_t   *place );            // CALL_PLACE_*
-        void       getOptimizeInfo(  [out]bool_t   *b_VMT_useless,      // VMT (é¢æ°ãã¼ãã«) ä¸è¦æé©å (é¢æ°ç´æ¥å¼åºã)
-                                     [out]bool_t   *b_skelton_useless,  // ã¹ã±ã«ãã³é¢æ°ä¸è¦ (
-                                     [out]bool_t   *b_cell_unique );    // åä¸ã®ã»ã«
+        void       getOptimizeInfo(  [out]bool_t   *b_VMT_useless,      // VMT (関数テーブル) 不要最適化 (関数直接呼出し)
+                                     [out]bool_t   *b_skelton_useless,  // スケルトン関数不要 (
+                                     [out]bool_t   *b_cell_unique );    // 単一のセル
     };
 
@@ -200,9 +179,8 @@
     signature sEntryInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]=NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]=NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         void       getSignatureInfo( [out]Descriptor( sSignatureInfo ) *desc );
         uint32_t   getArraySize(void);
@@ -213,20 +191,19 @@
     signature sCelltypeInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]=NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]=NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getNAttr(void);
         ER         getAttrInfo( [in]uint32_t ith, [out]Descriptor(sVarDeclInfo)*desc );
         uint32_t   getNVar(void);
         ER         getVarInfo( [in]uint32_t ith,  [out]Descriptor(sVarDeclInfo)*desc );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         uint32_t   getNCall(void);
         ER         getCallInfo( [in]uint32_t ith, [out]Descriptor(sCallInfo)*desc );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         uint32_t   getNEntry(void);
         ER         getEntryInfo( [in]uint32_t ith, [out]Descriptor(sEntryInfo)*desc );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         bool_t     isSingleton(void);
         bool_t     isIDX_is_ID(void);
@@ -239,25 +216,21 @@
     signature sCellInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]=NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]=NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getNRawEntryDescriptorInfo( void );
         ER         getRawEntryDescriptorInfo( [in]int_t index, [out]Descriptor(sRawEntryDescriptorInfo) *desc );
-           // index ã¯ãåãå£ãæå® (CelltypeInfo ã® cEntryInfo ã®åºæ°ã«ä¸è´ãã)
+           // index は、受け口を指定 (CelltypeInfo の cEntryInfo の序数に一致する)
         void       getCelltypeInfo( [out]Descriptor( sCelltypeInfo ) *desc );
-        void       getCBP( [out]void **cbp );      // out: é¸è±
-        void       getINIBP( [out]void **inibp );  // out: é¸è±
+        void       getCBP( [out]void **cbp );      // out: 逸脱
+        void       getINIBP( [out]void **inibp );  // out: 逸脱
     };
 
     [deviate]
     signature sRawEntryDescriptorInfo {
-        uint16_t   getNRawEntryDescriptorInfo( void );         // åãå£é
-åã®å ´åãè¦ç´ æ°ãè¿ããéé
-åã®å ´å 1ã
+        uint16_t   getNRawEntryDescriptorInfo( void );         // 受け口配列の場合、要素数を返す。非配列の場合 1。
         ER         getRawDescriptor( [in]int_t ith, [out]void **rawDesc );
-                        // ith ãé
-åç¯å²å¤ã®å ´åãE_NOEXS ãè¿ã
+                        // ith が配列範囲外の場合、E_NOEXS を返す
     };
 
@@ -265,18 +238,17 @@
     signature sNamespaceInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]=NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]=NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getNNamespace(void);
         ER         getNamespaceInfo( [in]uint32_t ith, [out]Descriptor(sNamespaceInfo) *des );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         uint32_t   getNSignature(void);
         ER         getSignatureInfo( [in]uint32_t ith, [out]Descriptor(sSignatureInfo) *des );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         uint32_t   getNCelltype(void);
         ER     getCelltypeInfo( [in]uint32_t ith,  [out]Descriptor(sCelltypeInfo) *des );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
     };
 
@@ -284,15 +256,14 @@
     signature sRegionInfo {
         ER         getName( [out,string(max_len)]char_t *name, [in]int_t max_len );
-           // é·ãã max_len ãè¶
-ããå ´åã¯ E_NOMEM ãè¿ã.
-           // (max_len-1) æå­ã³ãã¼ãããname[max_len-1]=NULL
-        uint16_t   getNameLength(void);
-           //  çµç«¯æå­ (NULL) ãå«ãé·ã (strlen ã¨ä»æ§ãç°ãªããã¨ã«æ³¨æ)
+           // 長さが max_len を超えた場合は E_NOMEM を返す.
+           // (max_len-1) 文字コピーする。name[max_len-1]=NULL
+        uint16_t   getNameLength(void);
+           //  終端文字 (NULL) を含む長さ (strlen と仕様が異なることに注意)
         uint32_t   getNCell(void);
         ER         getCellInfo( [in]uint32_t ith,    [out]Descriptor(sCellInfo) *des );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
         uint32_t   getNRegion(void);
         ER         getRegionInfo( [in]uint32_t ith,  [out]Descriptor(sRegionInfo) *des );
-           // ith ãç¯å²å¤ã®å ´å E_NORES ãè¿ã
+           // ith が範囲外の場合 E_NORES を返す
     };
 
@@ -309,6 +280,5 @@
                              [out]Descriptor( sRawEntryDescriptorInfo )*rawEntryDescDesc,
                              [out]Descriptor( sEntryInfo )*entryDesc);
-        ER     findRawEntryDescriptor_unsafe(           // ãã®ã¡ã½ããã¯ãéé
-åã®å ´åã®ã¿ãããã§ãã
+        ER     findRawEntryDescriptor_unsafe(           // このメソッドは、非配列の場合のみしようできる
                              [in,string]const char_t *namespace_path,
                              [out]void **rawDesc );
@@ -318,10 +288,10 @@
 
     /*
-     * tTECSInfo ã»ã«ã¿ã¤ãã®ã»ã«ã¯ãã¦ã¼ã¶ã¼ãè¨­ç½®ããï¼
+     * tTECSInfo セルタイプのセルは、ユーザーが設置する．
      *
-     * ãã®ã»ã«ãããtTECSInfoSub ã¸ã®çµåã¯ããã©ã°ã¤ã³ã«ããèªåçã«
-     * è¡ããããããã¦ã¼ã¶ã¼ã¯ããã®ã»ã«ãè¨­ç½®ããã ãã§ããï¼
-     * (ãã­ãã¿ã¤ããç¨ãã¦ããªãã®ã¯ããã®ã»ã«ãä»»æã®ãªã¼ã¸ã§ã³ã«ç½®
-     * ããã¨ãæ³å®ãã¦ã®ãã®)
+     * このセルから、tTECSInfoSub への結合は、プラグインにより自動的に
+     * 行われるため、ユーザーは、このセルを設置するだけでよい．
+     * (プロトタイプを用いていないのは、このセルを任意のリージョンに置
+     * くことを想定してのもの)
      */
     [singleton,
@@ -337,11 +307,9 @@
 
     /*
-     * tTECSInfoSub ã»ã«ã¿ã¤ãã®ã»ã«ã¯ããã©ã°ã¤ã³ã«ããèªåçæãããï¼
-     * ãã©ã°ã¤ã³ã¯ãçæãè¡ãåã«ã¨ã©ã¼ãçºçãã¦ããå ´åãã»ã«ãçæããªãï¼
-     * (TECSInfoSub ã»ã«ãæªå®ç¾©ã®ã¨ã©ã¼ãåºããã¨ã«ãªããä¸å®å
-¨ãªç¶æ
-
-     * ã§çæãããã¨ããã¨ãRuby ä¾å¤ãçºçããå¯è½æ§ããããããçæ
-     * ããªã)
+     * tTECSInfoSub セルタイプのセルは、プラグインにより自動生成される．
+     * プラグインは、生成を行う前にエラーが発生している場合、セルを生成しない．
+     * (TECSInfoSub セルが未定義のエラーも出ることになる。不完全な状態
+     * で生成しようとすると、Ruby 例外を発生する可能性があるため、生成
+     * しない)
      */
     [singleton]
@@ -352,6 +320,5 @@
         [ref_desc]
             call sRegionInfo    cRegionInfo;      // root region
-        // å
-é¨å¦çç¨ã®å¼ã³å£ (ä½åº¦ãä½¿ãã¾ããã®ã§ãä½¿ãç´åã«(å)è¨­å®ãããã¨ï¼
+        // 内部処理用の呼び口 (何度も使いまわすので、使う直前に(再)設定すること）
         [dynamic,optional]
             call sNamespaceInfo cNamespaceInfoTemp;
@@ -439,7 +406,7 @@
             uint32_t sizeOfCB;         // size in bytes, 0 if not exist
             uint32_t sizeOfINIB;       // size in bytes, 0 if not exist
-            uint32_t n_cellInLinkUnit; // CellInLinkUnit == 0 ã®æ ã»ã«ã¿ã¤ãã³ã¼ãã¯ããªã³ã¯ããã¦ããªã
-            uint32_t n_cellInSystem;   // ãã¹ã¦ã®ãªã³ã¯ã¦ããããå«ããã»ã«ã®åæ°ï¼
-                                       // ãã®æ°ã 0ã«ãªããã®ã¯ãCelltypeInfo ã¯çç¥ãããï¼
+            uint32_t n_cellInLinkUnit; // CellInLinkUnit == 0 の時 セルタイプコードは、リンクされていない
+            uint32_t n_cellInSystem;   // すべてのリンクユニットを含めたセルの個数．
+                                       // この数が 0になるものは、CelltypeInfo は省略される．
         };
         [ref_desc,optional]
@@ -466,7 +433,7 @@
             bool_t   b_require_port;
             int8_t   place;
-            bool_t   b_VMT_useless;        // VMT (é¢æ°ãã¼ãã«) ä¸è¦æé©å (é¢æ°ç´æ¥å¼åºã)
-            bool_t   b_skelton_useless;    // ã¹ã±ã«ãã³é¢æ°ä¸è¦ (
-            bool_t   b_cell_unique;        // åä¸ã®ã»ã«
+            bool_t   b_VMT_useless;        // VMT (関数テーブル) 不要最適化 (関数直接呼出し)
+            bool_t   b_skelton_useless;    // スケルトン関数不要 (
+            bool_t   b_cell_unique;        // 単一のセル
         };
         entry sCallInfo eCallInfo;
@@ -530,6 +497,5 @@
     celltype tRawEntryDescriptorInfo {
         attr {
-            int_t size;   // éé
-åã®å ´å 0
+            int_t size;   // 非配列の場合 0
             [size_is(size)]
                 void  **rawEntryDescriptor;
Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfoAccessor.cdl
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfoAccessor.cdl	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/TECSInfoAccessor.cdl	(revision 389)
@@ -2,53 +2,38 @@
  *   Copyright (C) 2008-2017 by TOPPERS Project
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
  */
 
-// mruby ããã¢ã¯ã»ã¹ã§ãããããªã·ã°ããã£ã«ãããã¢ã¯ã»ã¹ç¨ã»ã«ã¿ã¤ãã®å®ç¾©
-// ã¤ã¾ããã·ã°ããã£ãã Descriptor åããªãããååãæå®ãã¦åççµåãããã»ã«ã¿ã¤ããç¨æãã
+// mruby からアクセスできるようなシグニチャにした、アクセス用セルタイプの定義
+// つまり、シグニチャから Descriptor 型をなくし、名前を指定して動的結合させるセルタイプを用意する
 
 import( <TECSInfo.cdl> );
@@ -93,7 +78,7 @@
         ER   getSelectedCallLocationInfo(  [out]uint32_t *offset,             // offset in CALL_PLACE_*
                                            [out]int8_t   *place );            // CALL_PLACE_*
-        ER   getSelectedCallOptimizeInfo(  [out]bool_t   *b_VMT_useless,      // VMT (é¢æ°ãã¼ãã«) ä¸è¦æé©å (é¢æ°ç´æ¥å¼åºã)
-                                           [out]bool_t   *b_skelton_useless,  // ã¹ã±ã«ãã³é¢æ°ä¸è¦ (
-                                           [out]bool_t   *b_cell_unique );    // åä¸ã®ã»ã«
+        ER   getSelectedCallOptimizeInfo(  [out]bool_t   *b_VMT_useless,      // VMT (関数テーブル) 不要最適化 (関数直接呼出し)
+                                           [out]bool_t   *b_skelton_useless,  // スケルトン関数不要 (
+                                           [out]bool_t   *b_cell_unique );    // 単一のセル
 
         // entry
@@ -125,9 +110,9 @@
         // cell
         ER   getSelectedCellInfo( [out,string(max_len)]char_t *name, [in]int_t max_len);
-        ER   selectCelltypeInfoOfCell(void); // é¸æä¸­ã»ã«ã®ã»ã«ã¿ã¤ããé¸æ (ã»ã«ã¿ã¤ãã®é¢æ°ãä½¿ç¨ã§ãã)
-        ER   getAttrValueInStr([out,string(max_len)]char_t *buf, [in]int_t max_len);  // äºåã«ãã»ã«ãã»ã«ã¿ã¤ããå±æ§ãé¸æãã¦ãããã¨ï¼cTypeInfo ãå¤æ´ããã
-        ER   getAttrSizeIsValue(void);       // äºåã«ãã»ã«ãã»ã«ã¿ã¤ããå±æ§ãé¸æãã¦ãããã¨ï¼cTypeInfo ãå¤æ´ããã
-        ER   getVarValueInStr([out,string(max_len)]char_t *buf, [in]int_t max_len);   // äºåã«ãã»ã«ãã»ã«ã¿ã¤ããå¤æ°ãé¸æãã¦ãããã¨ï¼cTypeInfo ãå¤æ´ããã
-        ER   getVarSizeIsValue(void);        // äºåã«ãã»ã«ãã»ã«ã¿ã¤ããå¤æ°ãé¸æãã¦ãããã¨ï¼cTypeInfo ãå¤æ´ããã
+        ER   selectCelltypeInfoOfCell(void); // 選択中セルのセルタイプを選択 (セルタイプの関数を使用できる)
+        ER   getAttrValueInStr([out,string(max_len)]char_t *buf, [in]int_t max_len);  // 事前に、セル、セルタイプ、属性を選択しておくこと．cTypeInfo が変更される
+        ER   getAttrSizeIsValue(void);       // 事前に、セル、セルタイプ、属性を選択しておくこと．cTypeInfo が変更される
+        ER   getVarValueInStr([out,string(max_len)]char_t *buf, [in]int_t max_len);   // 事前に、セル、セルタイプ、変数を選択しておくこと．cTypeInfo が変更される
+        ER   getVarSizeIsValue(void);        // 事前に、セル、セルタイプ、変数を選択しておくこと．cTypeInfo が変更される
     };
 
Index: azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/nTECSInfo_tArrayTypeInfo.c
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/nTECSInfo_tArrayTypeInfo.c	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tecsgen/tecs/TECSInfo/nTECSInfo_tArrayTypeInfo.c	(revision 389)
@@ -2,47 +2,32 @@
  *   Copyright (C) 2008-2017 by TOPPERS Project
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -50,8 +35,8 @@
 
 /* #[<PREAMBLE>]#
- * #[<...>]# ãã #[</...>]# ã§å²ã¾ããã³ã¡ã³ãã¯ç·¨éããªãã§ãã ãã
- * tecsmerge ã«ãããã¼ã¸ã«ä½¿ç¨ããã¾ã
- *
- * å±æ§ã¢ã¯ã»ã¹ãã¯ã­ #_CAAM_#
+ * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
+ * tecsmerge によるマージに使用されます
+ *
+ * 属性アクセスマクロ #_CAAM_#
  * name             char_t*          ATTR_name       
  * typeKind         int8_t           ATTR_typeKind   
@@ -60,5 +45,5 @@
  * b_volatile       bool_t           ATTR_b_volatile 
  *
- * å¼ã³å£é¢æ° #_TCPF_#
+ * 呼び口関数 #_TCPF_#
  * call port: cTypeInfo signature: nTECSInfo_sTypeInfo context:task
  *   ER             cTypeInfo_getName( char_t* name, int_t max_len );
@@ -76,5 +61,5 @@
  * #[</PREAMBLE>]# */
 
-/* ãã­ãã¿ã¤ãå®£è¨ãå¤æ°ã®å®ç¾©ãããã«æ¸ãã¾ã #_PAC_# */
+/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
 #include <string.h>
 #include "nTECSInfo_tArrayTypeInfo_tecsgen.h"
@@ -85,5 +70,5 @@
 #endif
 
-/* åãå£é¢æ° #_TEPF_# */
+/* 受け口関数 #_TEPF_# */
 /* #[<ENTRY_PORT>]# eTypeInfo
  * entry port: eTypeInfo
@@ -109,5 +94,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 	name[ max_len - 1 ] = '\0';
 	strncpy( name, ATTR_name, max_len );
@@ -133,8 +118,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
 	return strlen( ATTR_name ) + 1;
 }
@@ -153,8 +138,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
 	return ATTR_size;
 }
@@ -173,8 +158,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
 	return TECSTypeKind_ArrayType;
 }
@@ -193,10 +178,9 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
-	return ATTR_size / cTypeInfo_getSize();  /* é
-åè¦ç´ æ° = ãµã¤ãº / è¦ç´ ãµã¤ãº */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
+	return ATTR_size / cTypeInfo_getSize();  /* 配列要素数 = サイズ / 要素サイズ */
 }
 
@@ -215,8 +199,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
   *desc = cTypeInfo_refer_to_descriptor();
   return ercd;
@@ -236,8 +220,8 @@
 	}
 	else {
-		/* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿°ãã¾ã */
-	} /* end if VALID_IDX(idx) */
-
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+	/* ここに処理本体を記述します #_TEFB_# */
 
 }
@@ -260,5 +244,5 @@
 	} /* end if VALID_IDX(idx) */
 
-	/* ããã«å¦çæ¬ä½ãè¨è¿°ãã¾ã #_TEFB_# */
+	/* ここに処理本体を記述します #_TEFB_# */
 
 	return(ercd);
@@ -266,4 +250,4 @@
 
 /* #[<POSTAMBLE>]#
- *   ããããä¸ã«éåãå£é¢æ°ãæ¸ãã¾ã
+ *   これより下に非受け口関数を書きます
  * #[</POSTAMBLE>]#*/
